# htp on-line reference : IMAGEURL

## syntax

`<FILE INCLUDE="include.hti" name="Jim Nelson" email="jnelson@crl.com">
This tag will fail: <USE name>
`

## synopsis

IMAGEURL tells htp, where to find images on the local file system. declares an URL replacement that is used for size lookups in any IMG tag. This definitions takes effect only if the IMGXY option is enabled. Beacause htp can't lookup files in the world wide web you have to map absolute image URLs to a directory in the local file system.

When an IMG tag is encountered where htp has to insert width and height the defined URL replacements will be taken into account (later definitions take precedence to earlier): For each defined imageurl it checks (case-insensitive) if it is a prefix of the image's SRC attribute. If it matches this prefix is replaced by the given PATH. If no IMAGEURL matches the SRC is considered as relative link and looked up in the current directory.

For example:

`<QUOTE TAG [ATTRIBUTE=VALUE ...]>
`

If IMAGEURL is specified with a URL but no PATH attribute, it is treated as an undefine, and is removed.

Since you usually need the url mapping for a number of images used throughout a set of documents, IMAGEURL is most appropriately put into an include file or the htp.def file.

In addition to WIDTH and HEIGHT, htp can also (semi-)automatically add an ALT text attribute to IMG tags.

hosted by Sourceforge HTML coding

Copyright © 1995–96 Jim Nelson. Copyright © 2001–2014 Jochen Hoenicke. Permission to reproduce and distribute this hypertext document granted according to terms described in the License section. last updated Sat May 16, 2015